Bug 1248899 - [Feature 3.1.1 gdeploy] Develop tool to setup thinp backend and create Gluster volumes
[Feature 3.1.1 gdeploy] Develop tool to setup thinp backend and create Gluste...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: redhat-storage-server (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: RHGS 3.1.1
Assigned To: Nandaja Varma
Anush Shetty
: ZStream
Depends On:
Blocks: 1217424 1251815
  Show dependency treegraph
 
Reported: 2015-07-31 02:47 EDT by Sachidananda Urs
Modified: 2016-07-03 21:12 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.7.1-12
Doc Type: Enhancement
Doc Text:
Gdeploy is a tool which automates the process of creating, formatting, and mounting bricks. When setting-up a fresh cluster, gdeploy could be the preferred choice of cluster set up, as manually executing numerous commands can be error prone. The advantages of using gdeploy includes automated brick creation, flexibility in choosing the drives to configure (sd, vd, ...) and flexibility in naming the logical volumes (LV) and volume groups (VG).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 03:21:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachidananda Urs 2015-07-31 02:47:02 EDT
Description of problem:

Currently setting up thinp backend is a long process with:

* Different inputs for JBOD, RAID6, RAID10 ...
* Multiple commands till we have a thin provisioned LV and creating a FS on it.

With the increase of number of servers, this task becomes quite time consuming.


Proposed solution:

* Ansible based tool to deploy GlusterFS.

Version 0.1 will support:

* Setup backend on N number of nodes.
* Create a volume (peer probe, vol create)
* Start and mount the volume.
* Mount the clients.

Repository:

* Currently upstream at: https://github.com/nandajavarma/gluster-deploy/wiki/Gluster-Deploy
Comment 4 Sachidananda Urs 2015-08-18 05:36:38 EDT
Package can be found at: http://file.india.redhat.com/surs/gdeploy/
Comment 5 Sachidananda Urs 2015-09-15 07:59:12 EDT
gdeploy is a new tool developed using ansible, to help in setting backend, creating volume, and deploying gluster usecases.

Setting up a backend filesystem for GlusterFS becomes a tedious task as  the number of servers/bricks increase. GlusterFS being a highly scalable software solution, provides the user ability to create a storage cluster with large number of nodes. gdeploy solves these problems and adds more features like creating volume, adding bricks, removing bricks, ...
Comment 6 Anush Shetty 2015-09-15 08:43:22 EDT
Verified with gdeploy-1.0-11.el7rhgs.noarch
Comment 8 errata-xmlrpc 2015-10-05 03:21:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.